`timescale 1ns/10ps

// Name = pll1x
// configuration = static
// clocks = primary
// feedback = deskewed internal
// part family = APA
// input clock frequency = 4 MHz
// feedback select = 1
// feedback delay line = 0
// primary clock frequency = 25 MHz
// primary clock delay = 0 ns
// primary clock phase shift = 0 degrees
// input clock divider = 1
// feedback divider = 25
// feedback select = 1
// primary clock divider = 4
// primary clock select = 4
// primary clock delay line = 0


module pll1x(GLB, LOCK, CLK);
output GLB;
output LOCK;
input CLK;

PLLCORE U0(.GLA(n1), .GLB(GLB), .LOCK(LOCK), .SDOUT(n2), .CLK(CLK), .CLKA(VSS), .EXTFB(VSS), 
      .SCLK(VSS), .SSHIFT(VSS), .SDIN(VSS), .SUPDATE(VSS), .MODE(VSS), .FINDIV4(VSS), .FINDIV3(VSS), 
      .FINDIV2(VSS), .FINDIV1(VSS), .FINDIV0(VSS), .FBDIV5(VSS), .FBDIV4(VDD), .FBDIV3(VDD), 
      .FBDIV2(VSS), .FBDIV1(VSS), .FBDIV0(VSS), .OADIV1(VSS), .OADIV0(VSS), .OBDIV1(VDD), 
      .OBDIV0(VDD), .OAMUX1(VSS), .OAMUX0(VSS), .OBMUX2(VDD), .OBMUX1(VSS), .OBMUX0(VSS), 
      .FBSEL1(VSS), .FBSEL0(VDD), .FBDLY3(VSS), .FBDLY2(VSS), .FBDLY1(VSS), .FBDLY0(VSS), 
      .XDLYSEL(VDD), .DLYA1(VSS), .DLYA0(VSS), .DLYB1(VSS), .DLYB0(VSS), .STATASEL(VSS), 
      .STATBSEL(VSS));
PWR U1(.Y(VDD));
GND U2(.Y(VSS));
endmodule


